Bug 8604 (int-153716)

Summary: Type-to-find behaviour is inconsistent and suboptimal in modest
Product: [Maemo Official Applications] Email Reporter: Xabier Rodríguez Calvar <xrcalvar>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: modest-bugs
Severity: normal    
Priority: Low CC: andre_klapper, rabelg5, xrcalvar
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Linux   
URL: https://bugs.maemo.org/query.cgi?format=advanced
Bug Depends on:    
Bug Blocks: 8201    

Description Xabier Rodríguez Calvar (reporter) 2010-01-28 10:33:01 UTC
+++ This bug was initially created as a clone of Bug #5526 +++
SOFTWARE VERSION:
51-1

STEPS TO REPRODUCE THE PROBLEM:

1. Open modest
2. From menu, open add account
e. Tap the countries list

EXPECTED OUTCOME:
A list that you can type-to-find in pops up WITHOUT a text entry field.

ACTUAL OUTCOME:
A list that you can type-to-find in (if the list is long enough) or a list you
can't type-to-find in.

REPRODUCIBILITY:
Always

Modest should switch to touch selector with live search instead of using touch
selector entry.
Comment 1 Xabier Rodríguez Calvar (reporter) 2010-01-28 10:39:18 UTC
(In reply to comment #0)
> STEPS TO REPRODUCE THE PROBLEM:
> e. Tap the countries list
> 
> EXPECTED OUTCOME:
> A list that you can type-to-find in pops up WITHOUT a text entry field.
> 
> ACTUAL OUTCOME:
> A list that you can type-to-find in (if the list is long enough) or a list you
> can't type-to-find in.

Of course, this should happen for all combos in the same situation, not only
for the countries one.
Comment 2 Andre Klapper maemo.org 2010-02-09 19:17:09 UTC
This has been fixed internally already - setting Target Milestone.
Comment 3 Andre Klapper maemo.org 2010-02-12 13:29:45 UTC
This has been fixed in package
modest 3.2.12-3+0m5
which is part of the internal build version
10.2010.06-7
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 4 Andre Klapper maemo.org 2010-03-15 20:56:35 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).